## f_stat

The f_stat gets the file status.

    FRESULT f_stat (
      const XCHAR* FileName,  /* Pointer to the file or directory name */
      FILINFO* FileInfo       /* Pointer to the FILINFO structure */
    );

#### Parameters

FileName
  Pointer to the null-terminated string that specifies the file or directory to get its information.
FileInfo
  Pointer to the blank `FILINFO` structure to store the information.

#### Return Values

FR_OK (0)
  The function succeeded.
FR_NO_FILE
  Could not find the file or directory.
FR_NO_PATH
  Could not find the path.
FR_INVALID_NAME
  The file name is invalid.
FR_INVALID_DRIVE
  The drive number is invalid.
FR_NOT_READY
  The disk drive cannot work due to no medium in the drive or any other reason.
FR_DISK_ERR
  The function failed due to an error in the disk function.
FR_INT_ERR
  The function failed due to a wrong FAT structure or an internal error.
FR_NOT_ENABLED
  The logical drive has no work area.
FR_NO_FILESYSTEM
  There is no valid FAT volume on the disk.

#### Description

The f_stat gets the information of a file or directory. For details of the infomation, refer to the `FILINFO` structure and f_readdir function. This function is not supported in minimization level of >= 1.

#### References

`f_opendir, f_readdir, FILINFO`

Return